package com.nisum.employee.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

import javax.sql.DataSource;

@Configuration
@ConfigurationProperties("spring.datasource")
// @Profile({"dev","qa"}) - Using Profile at Class Level
public class DBConfiguration {

    private String driverClassName;
    private String url;
    private String username;
    private String password;


    @Bean
    @Profile("dev")
    public DataSource devDatabaseConnection(){
        DataSource dataSource = null;
        // implementation 
        return dataSource;
    }

    @Bean
    @Profile("qa")
    public String qaDatabaseConnection(){
        return "qa";
    }

    @Bean
    @Profile("prod")
    public String prodDatabaseConnection(){
        return "prod";
    }
}
