package com.nisum.employee.entities;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.*;
import java.time.LocalDateTime;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Employee {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private long employeeId;

    @NotBlank(message = "Name is mandatory")
    private String empName;

    private String emapSalary;
    @NotNull
    @Size(min=7, message="Password should have atleast 8 characters")
    private String password;

    @NotNull
    private long empDepartmentId;

    @Email
    private String email;

    private LocalDateTime createdTime;

    private LocalDateTime updatedTime;
}
